package org.apidesign.apifest08.currency;

import java.util.*;

public final class CurrencyNotAvailableException extends RuntimeException {

	private final Currency currency;

	CurrencyNotAvailableException(Currency currency) {
		this(currency, String.format("Currency %1$s not available", currency));	
	}

	CurrencyNotAvailableException(Currency currency, String message) {
		super(message);
		this.currency = currency;
	}

	public Currency getCurrency() {
		return currency;
	}
}
