package org.apidesign.apifest08.currency;

import java.util.Currency;


/**
 * Used to look up the exchange rate between two currencies.
 *
 * @author D'Arcy Smith
 * @version 1.0
 */
public interface ExchangeRateFinder
{
    /**
     * Find the exchange rate between two currencies.
     *
     * @param a the currency to convert from.
     * @param b the currency to convert to.
     * @return the exchange rate for conversions between the two currencies.
     */
    ExchangeRate findRate(Currency a, Currency b);
}
