package org.apidesign.apifest08.currency;

import java.util.Currency;
import java.util.Date;

public final class UnsupportedConversionException extends ConversionException{

	private static final long serialVersionUID = 1L; 
	
	private Currency from;
	private Currency to;

	public UnsupportedConversionException(Currency from, Currency to) {
		super("Conversion from  the currency " + from + " to the currency " + to + " or vice versa in not supported.");
		this.from = from;
		this.to = to;
	}
	
	public UnsupportedConversionException(Currency from, Currency to, Date time) {
		super("Conversion from  the currency " + from + " to the currency " + to + " or vice versa in not supported for time " + time );
		this.from = from;
		this.to = to;
	}

	public Currency getFrom() {
		return from;
	}

	public Currency getTo() {
		return to;
	}
	
	
}
