package org.apidesign.apifest08.currency;

import java.util.Date;

/**
 * Interface for exchange rate engine using dates.
 * 
 * @author arnostvalicek
 */
public interface IDateExchangeRateEngine {
    /**
     * Get exchange rate for conversion from <code>fromCurrency</code> to <code>toCurrency</code> at <code>date</code>.
     * 
     * @param fromCurrency From currency.
     * @param toCurrency To currency.
     * @param date Conversion date.
     * @return Returns <code>ExchangeRate</code> if exchange rate is known or <code>null</code> if exchanger rate is not known.
     */
    public ExchangeRate getExchangeRate(ConvertorCurrency fromCurrency, ConvertorCurrency toCurrency, Date date);

}
